package com.qmth.sop.business.bean.result.analyze.sopWarn;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: sop预警监控概况
 * @Author: CaoZixuan
 * @Date: 2023-11-12
 */
public class SopWarnOverview {
    @ApiModelProperty("派单数")
    private Integer crmNum;

    @ApiModelProperty("已完成派单数")
    private Integer finishCrmNum;

    @ApiModelProperty("平均处理时限（小时）")
    private BigDecimal avgMinutes;

    @ApiModelProperty("违规数")
    private Integer violationNum;

    @ApiModelProperty("完成违规数")
    private Integer finishViolationNum;

    @ApiModelProperty("预警数")
    private Integer delayNum;

    @ApiModelProperty("完成预警数")
    private Integer finishDelayNum;

    @ApiModelProperty("大区id")
    private Long regionId;

    @ApiModelProperty("大区名称")
    private String regionName;

    @ApiModelProperty("供应商id")
    private Long supplierId;

    @ApiModelProperty("供应商名称")
    private String supplierName;

    public Integer getCrmNum() {
        return crmNum;
    }

    public void setCrmNum(Integer crmNum) {
        this.crmNum = crmNum;
    }

    public Integer getFinishCrmNum() {
        return finishCrmNum;
    }

    public void setFinishCrmNum(Integer finishCrmNum) {
        this.finishCrmNum = finishCrmNum;
    }

    public BigDecimal getAvgMinutes() {
        return avgMinutes;
    }

    public void setAvgMinutes(BigDecimal avgMinutes) {
        this.avgMinutes = avgMinutes;
    }

    public Integer getViolationNum() {
        return violationNum;
    }

    public void setViolationNum(Integer violationNum) {
        this.violationNum = violationNum;
    }

    public Integer getFinishViolationNum() {
        return finishViolationNum;
    }

    public void setFinishViolationNum(Integer finishViolationNum) {
        this.finishViolationNum = finishViolationNum;
    }

    public Integer getDelayNum() {
        return delayNum;
    }

    public void setDelayNum(Integer delayNum) {
        this.delayNum = delayNum;
    }

    public Integer getFinishDelayNum() {
        return finishDelayNum;
    }

    public void setFinishDelayNum(Integer finishDelayNum) {
        this.finishDelayNum = finishDelayNum;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
}
